Delete Part
Deletes a part.
Required scopes:
Depends on the object type in the id field:
| type | required scope |
|---|---|
| capability | capability:all |
| enhancement | enhancement:all |
| feature | feature:all |
| product | product:all |
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
The ID of the part to delete.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/parts.delete" \ -H "Content-Type: application/json" \ -d '{ "id": "PROD-12345" }'{}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Create Part POST
Creates new [part](https://devrev.ai/docs/product/parts). **Required scopes:** Depends on the object type in the `type` field: | type | required scope | |---|---| | capability | `capability:write` OR `capability:all` | | enhancement | `enhancement:write` OR `enhancement:all` | | feature | `feature:write` OR `feature:all` | | product | `product:write` OR `product:all` |
Get Part (POST) POST
Gets a [part's](https://devrev.ai/docs/product/parts) information. **Required scopes:** Depends on the object type in the `id` field: | type | required scope | |---|---| | capability | `capability:read` OR `capability:write` OR `capability:all` | | enhancement | `enhancement:read` OR `enhancement:write` OR `enhancement:all` | | feature | `feature:read` OR `feature:write` OR `feature:all` | | product | `product:read` OR `product:write` OR `product:all` |